clang 10.0.0git

Enumerations
clang::driver::options Namespace Reference

## Enumerations
enum | ClangFlags { DriverOption = (1 << 4), LinkerInput = (1 << 5), NoArgumentUnused = (1 << 6), Unsupported = (1 << 7), CoreOption = (1 << 8), CLOption = (1 << 9), CC1Option = (1 << 10), CC1AsOption = (1 << 11), NoDriverOption = (1 << 12), Ignored = (1 << 13) }
| Flags specifically for clang options. More...
enum | ID { OPT_INVALID = 0, LastOption }

## Enumeration Type Documentation

## ◆ ClangFlags

enum clang::driver::options::ClangFlags

Flags specifically for clang options.

Must not overlap with llvm::opt::DriverFlag.

Enumerator
DriverOption |
LinkerInput |
NoArgumentUnused |
Unsupported |
CoreOption |
CLOption |
CC1Option |
CC1AsOption |
NoDriverOption |
Ignored |

Definition at line 26 of file Options.h.

## ◆ ID

enum clang::driver::options::ID

Enumerator
OPT_INVALID |
LastOption |

Definition at line 39 of file Options.h.